? aclheader.patch
Index: cache_cf.c
===================================================================
RCS file: /cvsroot/squid/squid/src/cache_cf.c,v
retrieving revision 1.18
diff -u -r1.18 cache_cf.c
--- cache_cf.c	2001/02/10 16:49:03	1.18
+++ cache_cf.c	2001/02/20 08:31:33
@@ -776,10 +776,9 @@
 dump_http_header_access(StoreEntry * entry, const char *name, header_mangler header[])
 {
     int i;
-    storeAppendPrintf(entry, "%s:", name);
     for (i = 0; i < HDR_ENUM_END; i++) {
 	if (header[i].access_list != NULL) {
-	    storeAppendPrintf(entry, "\t");
+	    storeAppendPrintf(entry, "%s ",name);
 	    dump_acl_access(entry, httpHeaderNameById(i),
 		header[i].access_list);
 	}
@@ -812,11 +811,12 @@
     if (id != HDR_ENUM_END) {
 	parse_acl_access(&header[id].access_list);
     } else {
-	char *next_string = t + strlen(t);
-	*next_string = ' ';
+	char *next_string = t + strlen(t) -1;
+	*next_string = 'A';
+	*(next_string+1) = ' ';
 	for (i = 0; i < HDR_ENUM_END; i++) {
 	    char *new_string = xstrdup(next_string);
-	    strtok(new_string, " ");
+	    strtok(new_string, w_space);
 	    parse_acl_access(&header[i].access_list);
 	    safe_free(new_string);
 	}
@@ -837,11 +837,10 @@
     header[])
 {
     int i;
-    storeAppendPrintf(entry, "%s:", name);
     for (i = 0; i < HDR_ENUM_END; i++) {
 	if (NULL == header[i].replacement)
 	    continue;
-	storeAppendPrintf(entry, "\t%s: %s", httpHeaderNameById(i),
+	storeAppendPrintf(entry, "%s %s %s\n", name, httpHeaderNameById(i),
 	    header[i].replacement);
     }
 }

